/*
 * Cross-language text retrieval main file
 *
 * Author: Konstantin Tretyakov
 * Created: 21.11.2004
 */

#include "CrosslangModel.h"
#include <iostream>
#include <iomanip>
#include <string>
using namespace std;



/**
 * Read options, train / query crosslanguage retrieval model.
 */
int main(int argc, char* argv[]) {
    try {
        cout << fixed;
        srand(10000); // Just in case
        CrosslangOptions options(argc, argv);
        CrosslangModel model(options);
    }
    catch (string s) {
        cout << "Exception: " << s << endl << endl;
        cout << CrosslangOptions::USAGE_MESSAGE << endl;
    }
    return 0;
}

